apiVersion: batch/v1
kind: CronJob
metadata:
  name: {{ include "pdfchecker.filesCleanup.name" . }}
spec:
  schedule: "{{ .Values.filesCleanup.cron }}"
  jobTemplate:
    spec:
      template:
        spec:
          containers:
          - name: {{ include "pdfchecker.filesCleanup.name" . }}
            image: "{{ .Values.filesCleanup.image.repository }}:{{ .Values.filesCleanup.image.tag }}"
            imagePullPolicy: {{ .Values.filesCleanup.image.pullPolicy }}
            command: ["/bin/sh"]
            args: ["-c", "find /data/files -mmin {{.Values.filesCleanup.mmin}} -type f -delete"]
            volumeMounts:
              - name: storage
                mountPath: /data/files
          restartPolicy: OnFailure
          volumes:
            - name: storage
              persistentVolumeClaim:
                claimName: {{ include "pdfchecker.storageName" . }}
